Subject: Re: [lojban] Trivalent logic [was: Re: the logical language]

From: "Jorge Llambias" <[email-masked]>
Date: Sun, 18 Jun 2000 16:15:51 PDT

la robin cusku di'e

>Jorge's Aymara link reminded me of a question that had been turning over
>in my mind of late; namely, is there any expression in trivalent,
>multivalent or fuzzy logic which cannot be rephrased in "normal"
>bivalent logic?

Well, yes and no... :) I'm not sure whether the question makes
sense. An expression is not really phrased in any logic. You
take the same expression and depending on what logic you're
using you can assign it a truth value.

>For example, let's say we give the statement "Foobars like to be
>globbed" a truth value of 0.8 .

If you were using bivalent logic you could not do that.
You could only give it a value of true or false. What you are
doing is evaluating the statement using fuzzy logic, and
then transforming it into other statements:

>I would interpret this as either
> "80% of foobars like to be globbed"
>or
> "There is 80% certainty that all foobars like to be globbed"
>or
> "A typical foobar, if asked to express its liking for being globbed on
>a scale from 0 to 1, would give an answer of 0.8"
>or some combination of these, all of which are simple true/false
>statements.

Or not. They are just statements, which you can evaluate
using true/false logic, or using other logics. There is
nothing that makes these statements more or less bivalent
than the original one. Maybe they are more precise statements,
but equally subject to any valued logic.

I think what is interesting about Aymara is that apparently
(from what I can tell from that paper) it is very easy to
make trivalent logical operations. Lojban is not designed
for that. In bivalent logic there are 4 possible unary
operations: affirmation, negation, tautology and contradiction.
Given a value of true, affirmation gives true, negation
gives false, tautology gives true and contradiction gives false.
For a value of false, affirmation gives false, negation
gives true, tautology gives true and contradiction gives false.

In Lojban two of these unary operations are represented:
affirmation (ja'a) and negation (na). The other two are
not so useful and there is no cmavo of selmaho NA that
makes any sentence true, or one that makes any sentence
false.

A trivalent logic, instead of these four unary operators
has 27 possible operators, and Aymara uses suffixes on
the verb to represent them. These can be compounded so that
only 9 suffixes are enough to cover all the operations,
just like {nana} really could be used instead of {ja'a}
in bivalent logic.

This does not mean that you cannot use trivalent logic
in Lojban. All it means is that the trivalent operations
are not immediately transparent the way the bivalent ones
are. And of course, for bivalent logic the interesting
stuff only shows up in binary operations (the connectives)
whereas in a trivalent logic the unary operations already
have lots of interesting things (necessary, probable,
possible, impossible, etc, are some of the things that
Aymara handles this way).

co'o mi'e xorxes

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com